<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>initializer</artifactId>
    <version>1.8.2.2</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core.initializer</groupId>
  <artifactId>init-manager</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: INITIALIZER :: init-manager</name>
  <description>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: INITIALIZER :: init-manager</description>
  
  <properties>
  	<bundle.osgi.export.pkg>ru.entaxy.esb.platform.runtime.core.initializer.api</bundle.osgi.export.pkg>
  	<!-- bundle.osgi.private.pkg>ru.entaxy.esb.platform.runtime.core.initializer</bundle.osgi.private.pkg -->
  </properties>
  
  <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <version>${maven-bundle-plugin.version}</version>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                    	<Bundle-Activator>ru.entaxy.esb.platform.runtime.core.initializer.Activator</Bundle-Activator>
                    </instructions>
                </configuration>
            </plugin>
         </plugins>
  </build>

  <dependencies>
  	<dependency>
  		<groupId>org.osgi</groupId>
  		<artifactId>osgi.core</artifactId>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.karaf.config</groupId>
  		<artifactId>org.apache.karaf.config.core</artifactId>
  		<version>${karaf.version}</version>
  	</dependency>
    <dependency>
        <groupId>org.apache.camel</groupId>
        <artifactId>camel-tooling-model</artifactId>
    </dependency>
  </dependencies>  
  
</project>